# SleepApnea_annotation_GUI——睡眠呼吸暂停事件打标程序

本程序提供符合用户直接的操作界面，用于打标睡眠呼吸暂停事件，对医生所做的原始标注进行修改，亦可对医生忽略的片段进行新增标注，对医生打错的片段进行标注删除。

## 0 开发说明

本程序在Python3.9的环境下开发，在Intel® Core™ i5-13600K Processor和AMD Ryzen™ 7 8845H平台下都能成功运行。

## 1 程序安装与启动

### 1.1 直接运行可执行文件

在开发者做出exe可执行文件之前，都需要自行搭建环境来运行程序。

### 1.2 在开发环境中运行

推荐使用conda环境，直接在conda控制台中运行如下指令创建python3.9版本的环境。
```
conda create -n <env_name> python=3.9
```

激活环境后通过conda install命令手动安装如下依赖库，部分需通过pip install命令进行安装：
```
Pack Name  |  Version
-----------|----------
numpy      |  1.26.4
pandas     |  2.2.3
matplotlib |  3.8.3
tqdm       |  4.66.4
pyyaml     |  6.0.1
PyQt5      |  5.15.10
pyedflib   |  0.1.38
```

## 2 使用方法与流程